package com.ym.mec.thirdparty.yqpay;

import java.util.Map;

public class RsqMsg {
    private String merNo;
    private String version;
    private String notifyUrl;
    private String timestamp;
    private String apiContent;
    private String signType;
    private String sign;

    public RsqMsg(Map<String, Object> payMap) {
        merNo = (String) payMap.get("merNo");
        version = (String) payMap.get("version");
        notifyUrl = (String) payMap.get("notifyUrl");
        timestamp = (String) payMap.get("timestamp");
        apiContent = (String) payMap.get("apiContent");
        signType = (String) payMap.get("signType");
        sign = (String) payMap.get("sign");
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getApiContent() {
        return apiContent;
    }

    public void setApiContent(String apiContent) {
        this.apiContent = apiContent;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }
}
